package com.muyu.common.cache;

/**
 * 主键基础
 * @Author：yang
 * @Package：com.muyu.common.cache
 * @Project：cloud-server-8
 * @name：PrimaryKeyBasic
 * @Date：2024/9/30 11:35
 */
public interface PrimaryKeyBasic <K>{

    /**
     * key 前缀
     * @return 前缀
     */
    public String keyPre();
    /**
     * 编码
     * @param key 缓存键
     * @return 装修键
     */
    public default String encode(K key){
        return key.toString();
    }

    /**
     * 解码key
     * @param key 编码Key
     * @return 解码后的Key
     */
    public K decode(String key);

}
